<template>
   <section class="home_appliance_sec">
       <div class="container">
           <div class="row">
               <div class="col-12">
                   <div class="home_appliance" v-for="(category,i) in big_category_block" :key="i">
                      <div class="row">
                          <div class="col-12 col-lg-4" >
                           <div class="home__cnt">
                              <h2>{{ category.title }}</h2>
                              <p>{{ category.description }}</p>
                           </div>
                          </div>
                          <div class="col-12 col-lg-4">
                           <div class="home__img">
                              <img :src="`${options.storage_root}/${category.upload.uploaded_path.replace('resized-','')}`" :alt="(category.alt_text!=null && category.alt_text!='') ? category.alt_text : category.title">
                           </div>
                          </div>
                          <div class="col-12 col-lg-4">
                           <div class="home__btn">
                             <a :href="category.button_link" class="btn">{{ category.button_label }}</a>
                           </div>
                          </div>
                      </div>
                   </div>
               </div>
           </div>
       </div>
   </section>
</template>
<script>
import options from '~/assets/options';
export default {
 data() {
   return {
     options              : options,
     big_category_block  : JSON.parse(this.$store.state.front_end_data.big_category_block)
   }
 }
}
</script>